# Interface GenericBinaryDocumentReader

All Known Subinterfaces:
  `GenericBinaryDocument`

All Known Implementing Classes:
  `BinaryDocument, CompoundDocument`

public interface GenericBinaryDocumentReader

## Method Summary

Modifier and Type
Method
Description
`long`
`getPosition()`
`byte`
`readByte()`
`byte[]`
`readBytes(int n)`
`double`
`readDouble()`
`float`
`readFloat()`
`int`
`readInt()`
`long`
`readLong()`
`short`
`readShort()`
`String`
`readString(int i)`
`int`
`readUInt8()`
`int`
`readUnsignedShort()`
`void`
`seek(long i)`
`void`
`setBigEndian(boolean b)`

## Method Details

### readByte

byte readByte() throws Exception

Throws:
  `Exception`

### readBytes

byte[] readBytes(int n) throws Exception

Throws:
  `Exception`

### readUInt8

int readUInt8() throws Exception

Throws:
  `Exception`

### readInt

int readInt() throws Exception

Throws:
  `Exception`

### readShort

short readShort() throws Exception

Throws:
  `Exception`

### readUnsignedShort

int readUnsignedShort() throws Exception

Throws:
  `Exception`

### readLong

long readLong() throws Exception

Throws:
  `Exception`

### readFloat

float readFloat() throws Exception

Throws:
  `Exception`

### readDouble

double readDouble() throws Exception

Throws:
  `Exception`

### readString

String readString(int i) throws Exception

Throws:
  `Exception`

### setBigEndian

void setBigEndian(boolean b)

### seek

void seek(long i)

### getPosition

long getPosition()